> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryvisible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provider

> Provides a list of providers or a specific provider based on an ID query parameter.



## OpenAPI

````yaml GET /provider
openapi: 3.0.1
info:
  title: Visible Health API Docs
  description: Endpoints for fetching insurance eligibility and benefits information
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryvisible.com
security:
  - bearerAuth: []
paths:
  /provider:
    get:
      description: >-
        Provides a list of providers or a specific provider based on an ID query
        parameter.
      parameters:
        - name: id
          in: query
          description: Provider ID to filter the list
          schema:
            type: integer
            format: int64
          required: false
      responses:
        '200':
          description: Provider(s) found
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Provider'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Provider:
      required:
        - taxID
        - NPI
        - address
      type: object
      properties:
        taxID:
          type: string
          description: Tax Identification Number
        NPI:
          type: string
          description: National Provider Identifier
        address:
          type: string
          description: Provider address
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````